org.bdgenomics.adam.rdd

# FullOuterShuffleRegionJoin

###
Related Doc: package rdd

#### case class FullOuterShuffleRegionJoin[T, U](leftRdd: RDD[(ReferenceRegion, T)], rightRdd: RDD[(ReferenceRegion, U)])(implicit evidence$11: ClassTag[T], evidence$12: ClassTag[U]) extends ShuffleRegionJoin[T, U, Option[T], Option[U]] with SortedIntervalPartitionJoinWithVictims[T, U, Option[T], Option[U]] with Product with Serializable

Linear Supertypes
Product, Equals, SortedIntervalPartitionJoinWithVictims[T, U, Option[T], Option[U]], ShuffleRegionJoin[T, U, Option[T], Option[U]], RegionJoin[T, U, Option[T], Option[U]], Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. FullOuterShuffleRegionJoin
2. Product
3. Equals
4. SortedIntervalPartitionJoinWithVictims
5. ShuffleRegionJoin
6. RegionJoin
7. Serializable
8. Serializable
9. AnyRef
10. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new FullOuterShuffleRegionJoin(leftRdd: RDD[(ReferenceRegion, T)], rightRdd: RDD[(ReferenceRegion, U)])(implicit arg0: ClassTag[T], arg1: ClassTag[U])

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def advanceCache(cache: SetTheoryCache[U, Option[T], Option[U]], right: BufferedIterator[(ReferenceRegion, U)], until: ReferenceRegion): Unit

   Adds elements from right to victimCache based on the next region encountered.

   Adds elements from right to victimCache based on the next region encountered.

   cache

     The cache for this partition.

   right

     The right iterator.

   until

     The next value on the left to perform the join.

   Attributes
     protected
   Definition Classes
     SortedIntervalPartitionJoinWithVictims → ShuffleRegionJoin

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### def compute(): RDD[(Option[T], Option[U])]

   Performs a region join between two RDDs (shuffle join).

   Performs a region join between two RDDs (shuffle join). All data should be pre-shuffled and copartitioned.

   returns

     An RDD of joins (x, y), where x is from leftRDD, y is from rightRDD, and the region corresponding to x overlaps the region corresponding to y.

   Definition Classes
     ShuffleRegionJoin

8. #### def emptyFn(left: Iterator[(ReferenceRegion, T)], right: Iterator[(ReferenceRegion, U)]): Iterator[(Option[T], Option[U])]

   Handles the case where the left or the right iterator were empty.

   Handles the case where the left or the right iterator were empty.

   left

     The left iterator.

   right

     The right iterator.

   returns

     The iterator containing properly formatted tuples.

   Attributes
     protected
   Definition Classes
     FullOuterShuffleRegionJoin → ShuffleRegionJoin

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### def finalizeHits(cache: SetTheoryCache[U, Option[T], Option[U]], right: BufferedIterator[(ReferenceRegion, U)]): Iterable[(Option[T], Option[U])]

    Computes all victims for the partition.

    Computes all victims for the partition. If there are any remaining values in the right iterator, those are considered victims.

    cache

      The cache for this partition.

    right

      The right iterator containing unmatched regions.

    returns

      An iterable containing all pruned hits.

    Attributes
      protected
    Definition Classes
      SortedIntervalPartitionJoinWithVictims → ShuffleRegionJoin

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

14. #### val leftRdd: RDD[(ReferenceRegion, T)]

    Definition Classes
      FullOuterShuffleRegionJoin → ShuffleRegionJoin

15. #### def makeIterator(leftIter: Iterator[(ReferenceRegion, T)], rightIter: Iterator[(ReferenceRegion, U)]): Iterator[(Option[T], Option[U])]

    Attributes
      protected
    Definition Classes
      ShuffleRegionJoin

16. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### final def notify(): Unit

    Definition Classes
      AnyRef

18. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

19. #### def partitionAndJoin(left: RDD[(ReferenceRegion, T)], right: RDD[(ReferenceRegion, U)]): RDD[(Option[T], Option[U])]

    Performs a region join between two RDDs.

    Performs a region join between two RDDs.

    returns

      An RDD of pairs (x, y), where x is from baseRDD, y is from joinedRDD, and the region corresponding to x overlaps the region corresponding to y.

    Definition Classes
      ShuffleRegionJoin → RegionJoin

20. #### def postProcessHits(iter: Iterable[U], currentLeft: T): Iterable[(Option[T], Option[U])]

    Computes post processing required to complete the join and properly format hits.

    Computes post processing required to complete the join and properly format hits.

    iter

      The iterator of hits.

    currentLeft

      The current left value for the join.

    returns

      the post processed iterator.

    Attributes
      protected
    Definition Classes
      FullOuterShuffleRegionJoin → ShuffleRegionJoin

21. #### def postProcessPruned(pruned: U): (Option[T], Option[U])

    Properly formats right values that did not join with a left.

    Properly formats right values that did not join with a left.

    pruned

      The right value with no join.

    returns

      The formatted tuple containing the right value.

    Attributes
      protected
    Definition Classes
      FullOuterShuffleRegionJoin → SortedIntervalPartitionJoinWithVictims

22. #### def processHits(cache: SetTheoryCache[U, Option[T], Option[U]], currentLeft: T, currentLeftRegion: ReferenceRegion): Iterable[(Option[T], Option[U])]

    Process hits for a given object in left.

    Process hits for a given object in left.

    cache

      The cache containing potential hits.

    currentLeft

      The current object from the left

    currentLeftRegion

      The ReferenceRegion of currentLeft.

    returns

      An iterator containing all hits, formatted by postProcessHits.

    Attributes
      protected
    Definition Classes
      ShuffleRegionJoin

23. #### def pruneCache(cache: SetTheoryCache[U, Option[T], Option[U]], to: ReferenceRegion): Unit

    Removes elements from cache in place that do not meet the condition for join.

    Removes elements from cache in place that do not meet the condition for join. Also adds the elements that are not hits to the list of pruned.

    cache

      The cache for this partition.

    to

      The next region in the left iterator.

    Attributes
      protected
    Definition Classes
      SortedIntervalPartitionJoinWithVictims → ShuffleRegionJoin

24. #### val rightRdd: RDD[(ReferenceRegion, U)]

    Definition Classes
      FullOuterShuffleRegionJoin → ShuffleRegionJoin

25. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

26. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Product

### Inherited from Equals

### Inherited from SortedIntervalPartitionJoinWithVictims[T, U, Option[T], Option[U]]

### Inherited from ShuffleRegionJoin[T, U, Option[T], Option[U]]

### Inherited from RegionJoin[T, U, Option[T], Option[U]]

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped